@REM --------------------------------------------------------------------
@REM File: Install.bat
@REM
@REM Summary: Install Teaching Extensions for Small Basic Recipes
@REM
@REM --------------------------------------------------------------------
@REM This file is part of the Teaching Extensions for Small Basic Recipes
@REM
@REM This source code is intended only as a supplement to Microsoft Small
@REM Basic release and/or on-line documentation. See these other
@REM materials for detailed information regarding Microsoft code samples.
@REM
@REM THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
@REM KIND, WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
@REM IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
@REM PURPOSE.
@REM Thanks to Erik Leaseburg for this script
@REM --------------------------------------------------------------------
 
@SETLOCAL
 
@ECHO.
@ECHO Installing Teaching Extensions for Small Basic Recipes...
 
@IF DEFINED ProgramFiles(x86) GOTO X64
 
:X86
 
@ECHO.
@ECHO You are running 32-bit Windows (x86)
 
@SET LibFolderPath="%ProgramFiles%\Microsoft\Small Basic\lib"
 
@GOTO CreateFolder
 
:X64
 
@ECHO.
@ECHO You are running 64-bit Windows (x64)
 
@SET LibFolderPath="%ProgramFiles(x86)%\Microsoft\Small Basic\lib"
 
:CreateFolder
 
@ECHO.
@ECHO Creating the Small Basic library folder: %LibFolderPath%
 
@IF NOT EXIST %LibFolderPath% MD %LibFolderPath%
 
@SET FullPath=%CD%
@IF EXIST "%FullPath%\SmallBasicFun.dll" GOTO CopyFiles
 
:GetFilePath
 

 
@GOTO GetFilePath
 
:CopyFiles
 
@ECHO.
@ECHO Copying the teaching extensions files to the Small Basic library folder...
 
COPY /Y ".\SmallBasicFun.dll" %LibFolderPath%
@COPY /Y ".\SmallBasicFun.xml" %LibFolderPath%
@COPY /Y ".\Proctor.txt" %LibFolderPath%
 
@ECHO.
@ECHO Done! Review any errors above and rerun this batch file as necessary.
@ECHO Start Small Basic and try out the new teaching extentions and recipes!
@ECHO And Check out www.TeachingKidsProgramming.org to learn more.
@ECHO.
 
@ENDLOCAL
 
@PAUSE
 